@echo off
cls
REM MWM 9/18/2012
REM I adapted this from Dave's ULSAUTOSIGN64.CMD.
REM This one just does the DRIVERDISK_COMPRESSED directory of the printer driver.

cls
rem temporarily update path
set savepath=%path%
path v:\systems.software\codesign;%path%

rem define our signing tools dir
rem set ULSTools= v:\Systems.Software\codesign\

rem This strange kludge saves our current installler-file directory so we can restore it at any time,
rem without having to remember what directory we were actually in.
cd > temp.out
for /f "eol= tokens=* delims= usebackq" %%i in (.\temp.out) do (set ULSInstall=%%i)
echo ULSInstall path=%ULSInstall%

rem ****************************************************************************************************

echo ULSInstall path=%ULSInstall%

goto start

: rebuildcats
echo catalogs need to be rebuilt!!
pause

: start
del *.cat 
inf2cat.exe /v /driver:. /os:XP_X86,Server2003_X86,Vista_X86,Vista_X64
call %ULSTools%ulssignfile uls2000.cat uls200064.cat 

signtool61 verify /tw /kp uls64.dll 
if errorlevel 1 call %ULSTools%ulssignfile uls64.dll 

signtool61 verify /tw /kp uls2000.dll 
if errorlevel 1 call %ULSTools%ulssignfile uls2000.dll 

signtool61 verify /tw /kp ulsmsg.exe 
if errorlevel 1 call %ULSTools%ulssignfile ulsmsg.exe 

signtool61 verify /tw /kp uls64ui.dll
if errorlevel 1 call %ULSTools%ulssignfile uls64ui.dll

signtool61 verify /tw /kp uls2kui.dll 
if errorlevel 1 call %ULSTools%ulssignfile uls2kui.dll 

signtool61 verify /tw /kp ulsmsg64.exe 
if errorlevel 1 call %ULSTools%ulssignfile ulsmsg64.exe 

: checkcatalogs
rem ***********************************************************************************
rem check if catalogs are all ok.  A single .INF file needs to use separate catalogs for the 32-bit and 64-bit files that are referenced.
rem unfortunately, the inf2cat catalog tool is recursive, so if ANY of them are bad, we need to rebuild & sign ALL catalogs.
rem So changing anything in a catalog causes us to rebuild all of them 
rem

signtool61 verify /tw /q /kp /c uls2000.cat uls2000.dll uls2kui.dll uls2K.pcd ulsmsg.exe uls_deu.chm uls_eng.chm uls_esp.chm uls_fra.chm uls_ita.chm uls_ned.chm
if errorlevel 1 goto rebuildcats
signtool61 verify /tw /q /kp /c uls200064.cat uls64.dll uls64ui.dll uls64.pcd ulsmsg64.exe uls_deu.chm uls_eng.chm uls_esp.chm uls_fra.chm uls_ita.chm uls_ned.chm
if errorlevel 1 goto rebuildcats

echo !!! CATALOGS OK !!! Don't need to rebuild or resign.


: goodexit
del temp.out
echo ******** 
echo ALL FILES PROBABLY SIGNED OK IF DIDN'T PAUSE
echo ********
